package eu.mhsl.craftattack.spawn.api.client.repositories;

import eu.mhsl.craftattack.spawn.api.client.HttpRepository;
import eu.mhsl.craftattack.spawn.api.client.ReqResp;
import eu.mhsl.craftattack.spawn.util.api.ApiUtil;

import java.util.UUID;

public class ReportRepository extends HttpRepository {
    public ReportRepository() {
        super(ApiUtil.getBaseUri(), ApiUtil::withAuthorizationSecret);
    }

    public record SendReportResponse(UUID user) {}
    public record ReportInput(UUID user) {}

    public ReqResp<SendReportResponse> sendReport(ReportInput input) {
        return this.post("reports", (builder) -> builder.addParameter("token", "asd"), input, SendReportResponse.class);
    }
}
